## org.codehaus.groovy.tools.groovydoc
Class GroovyRootDocBuilder

Field Summary
`char` | `FS`
`List` | `links`
`SimpleGroovyRootDoc` | `rootDoc`
`String` | `sourcepath`
`GroovyDocTool` | `tool`

Constructor Summary
`GroovyRootDocBuilder(GroovyDocTool tool, String sourcepath, List links)`

Method Summary
`void` | `buildTree(String filename)`
`Map` | `getClassDocsFromSingleSource(String packagePath, String file, String src)`
`GroovyRecognizer` | `getGroovyParser(String input, SourceBuffer sourceBuffer)`
`JavaRecognizer` | `getJavaParser(String input, SourceBuffer sourceBuffer)`
`GroovyRootDoc` | `getRootDoc()`
`Map` | `parseGroovy(String packagePath, String file, String src)`
`Map` | `parseJava(String packagePath, String file, String src)`

Constructor Detail

### GroovyRootDocBuilder

    public GroovyRootDocBuilder(GroovyDocTool tool, String sourcepath, List links)

Method Detail

### buildTree

    public void buildTree(String filename)

### getClassDocsFromSingleSource

    public Map getClassDocsFromSingleSource(String packagePath, String file, String src)

### getGroovyParser

    GroovyRecognizer getGroovyParser(String input, SourceBuffer sourceBuffer)

### getJavaParser

    JavaRecognizer getJavaParser(String input, SourceBuffer sourceBuffer)

### getRootDoc

    public GroovyRootDoc getRootDoc()

### parseGroovy

    Map parseGroovy(String packagePath, String file, String src)

### parseJava

    Map parseJava(String packagePath, String file, String src)